Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Class XmlHelper

    java.lang.Object
      |
      +--jpos.util.XmlHelper

public class XmlHelper
extends java.lang.Object

Simple helper class for XML related activities

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `DEFAULT_DTD_FILE_NAME`
`static java.lang.String` | `DEFAULT_DTD_FILE_PATH`

Constructor Summary
`XmlHelper()`

Method Summary
`void` | `checkAndCreateTempDtd()` Checks if the dtdFile is available in the DTD path specified if not then creates it extracting it from the JAR file
`java.lang.String` | `getDtdFileName()`
`java.lang.String` | `getDtdFilePath()`
`(package private) void` | `removeDirs(java.lang.String dirName)` Removes the directory specified by this dirName (including any sub-dirs)
`void` | `removeTempDtd()` Removes the DTD path if it was created
`void` | `setDtdFileName(java.lang.String fileName)` Sets the DTD file name that should be extracted by this helper
`void` | `setDtdFilePath(java.lang.String filePath)` Sets the DTD file path that should be extracted by this helper

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DTD_FILE_NAME

    public static final java.lang.String DEFAULT_DTD_FILE_NAME

### DEFAULT_DTD_FILE_PATH

    public static final java.lang.String DEFAULT_DTD_FILE_PATH

Constructor Detail

### XmlHelper

    public XmlHelper()

Method Detail

### getDtdFileName

    public java.lang.String getDtdFileName()

  Returns:
    the current DTD file name

### getDtdFilePath

    public java.lang.String getDtdFilePath()

  Returns:
    the current DTD file path

### setDtdFileName

    public void setDtdFileName(java.lang.String fileName)

  Sets the DTD file name that should be extracted by this helper
  Parameters:
    `fileName` - the XML file name

### setDtdFilePath

    public void setDtdFilePath(java.lang.String filePath)

  Sets the DTD file path that should be extracted by this helper
  Parameters:
    `filePath` - the XML file name

### checkAndCreateTempDtd

    public void checkAndCreateTempDtd()

  Checks if the dtdFile is available in the DTD path specified if not then creates it extracting it from the JAR file

### removeTempDtd

    public void removeTempDtd()

  Removes the DTD path if it was created

### removeDirs

    void removeDirs(java.lang.String dirName)
              throws java.io.IOException

  Removes the directory specified by this dirName (including any sub-dirs)
  Parameters:
    `dirName` - the directory name to remove
  Throws:
    `java.io.IOException` - if something goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details